function init()
	gun.name = "Tentacle"
	gun.fireDelay = 0
	gun.shotrange = 125
	gun.shotknockback = -100		--slowdown; sets maxspeed of hit things to this
	gun.shotdamage = 5
	
	gun.skipUpdate = 0
	
	return 0
end


function update()
	--only do this once
	gun.skipUpdate = 1
	
	--make the tentacle gfx, attach it to the owner
	stage.createEmitter("tentacles_long", gun.owner.x, gun.owner.y)
	emitter.upload()
	stage.createEmitter("tentacles", gun.owner.x, gun.owner.y)
	emitter.upload()

	return 0
end


function fire()
	gun.cycleBeam(2)
	stage.makeBeam(gun.beam, gun.owner, gun.firex, gun.firey, gun.firetarx, gun.firetary)
	
	return 0
end

function shot_update()

	return 0
end